# Salesforce MCP Server

A Python-based MCP Server for interacting with Salesforce metadata and data through the Model Context Protocol.

## Installation

1. Install the required dependencies:
   ```
   pip install -r requirements.txt
   ```

2. Set up environment variables:
   - Create a .env file with the following variables:
     ```
     CLAUDE_API_KEY=your_claude_api_key
     SALESFORCE_USERNAME=your_username
     SALESFORCE_PASSWORD=your_password
     SALESFORCE_SECURITY_TOKEN=your_security_token
     GOOGLE_API_KEY=your_google_api_key
     GOOGLE_CSE_ID=your_google_cse_id
     ```

## Usage

1. Run the MCP server:
   ```
   python python_mcp_server.py
   ```

2. Connect to the server from your Claude desktop client or other MCP-compatible application.

## Available Tools

- **Connection Tools**: Connect to Salesforce, check connection status
- **Metadata Tools**: Describe metadata types, list metadata, describe objects, create custom fields/objects
- **SOQL Tools**: Generate and execute SOQL queries
- **Test Data Tools**: Generate test data for Salesforce objects
- **Utility Tools**: Get org limits, search Salesforce documentation

## Integration with Claude

This MCP Server is designed to work with Claude AI through the Model Context Protocol. When connected to Claude, you can:

1. Ask Claude to connect to your Salesforce org
2. Request metadata operations like creating custom objects or fields
3. Generate and execute SOQL queries
4. Create test data for your Salesforce objects
5. Search Salesforce documentation for best practices

## Support

For support or questions, please contact the AgentForce team.